Package: io.vertx.groovy.ext.mail

## [Groovy] Class MailClient

- io.vertx.groovy.ext.mail.MailClient

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MailClient (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close()`
    `static MailClient` | `createNonShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)`
    `static MailClient` | `createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config, java.lang.String poolName)`
    `static MailClient` | `createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)`
    `java.lang.Object` | `getDelegate()`
    `MailClient` | `sendMail(java.util.Map<java.lang.String, java.lang.Object> arg0 = [:], io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> arg1)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### MailClient(java.lang.Object delegate)

  - ### Method Detail

    - #### void close()

    - #### static MailClient createNonShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

    - #### static MailClient createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config, java.lang.String poolName)

    - #### static MailClient createShared(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

    - #### java.lang.Object getDelegate()

    - #### MailClient sendMail(java.util.Map<java.lang.String, java.lang.Object> arg0 = [:], io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> arg1)